<?php

// *** Make sure the file isn't accessed directly
if(!preg_match("/index.php/i", $_SERVER['SCRIPT_FILENAME'])){
	//Give out an "access denied" error
	echo "access denied";
	//Block all other code
	exit();
}


if (@$login->IsLoggedInAs("mainadmin")) {	

	$action = isset($_REQUEST['action']) ? htmlentities($_REQUEST['action']) : "";
	$rid    = isset($_REQUEST['rid']) ? (int)$_REQUEST['rid'] : "0";
	$mode   = "view";
	$msg = '';

	
	$objAdmins = new AdminsAccounts();
	
	if($action=="add"){		
		$mode = "add";
	}else if($action=="create"){
		if($objAdmins->AddRecord()){
			$msg = draw_success_message(ADDING_OPERATION_COMPLETED, false);
			$mode = "view";
		}else{
			$msg = draw_important_message($objAdmins->error, false);
			$mode = "add";
		}
	}else if($action=="edit"){
		$mode = "edit";
	}else if($action=="update"){
		if($objAdmins->UpdateRecord($rid)){
			$msg = draw_success_message(UPDATING_OPERATION_COMPLETED, false);
			$mode = "view";
		}else{
			$msg = draw_important_message($objAdmins->error, false);
			$mode = "edit";
		}		
	}else if($action=="delete"){
		if($objAdmins->DeleteRecord($rid)){
			$msg = draw_success_message(DELETING_OPERATION_COMPLETED, false);
		}else{
			$msg = draw_important_message($objAdmins->error, false);
		}
		$mode = "view";
	}else if($action=="details"){		
		$mode = "details";		
	}else if($action=="cancel_add"){		
		$mode = "view";		
	}else if($action=="cancel_edit"){				
		$mode = "view";
	}else{
        $action = '';
    }
	
	// Start main content
	draw_title_bar(ADMINS_MANAGEMENT.($action != "" ? " : ".ucfirst($action) : ""), "title_bar", $site_style);
    echo "<br />";
	
	//if($user_session->IsMessage('notice')) echo $user_session->GetMessage('notice');
	if($msg != "") echo $msg;

	if($mode == "view"){		
		$objAdmins->DrawViewMode();	
	}else if($mode == "add"){		
		$objAdmins->DrawAddMode();		
	}else if($mode == "edit"){		
		$objAdmins->DrawEditMode($rid);		
	}else if($mode == "details"){		
		$objAdmins->DrawDetailsMode($rid);		
	}

} else {
	draw_important_message(NOT_AUTHORIZED);
}

?>