<?php

// *** Make sure the file isn't accessed directly
if(!preg_match("/index.php/i", $_SERVER['SCRIPT_FILENAME'])){
	//Give out an "access denied" error
	echo "access denied";
	//Block all other code
	exit();
}


if (@$login->IsLoggedInAs("mainadmin")){

	$submition_type = isset($_POST['submition_type']) ? $_POST['submition_type'] : "";
	$backup_file 	= isset($_POST['backup_file']) ? $_POST['backup_file'] : "";
	$st 			= isset($_GET['st']) ? $_GET['st'] : "";
	$fname 		    = isset($_GET['fname']) ? $_GET['fname'] : "";
	$msg            = "";
	
	$objBackup = new Backup();
	
	if($submition_type == "1"){		
		// save backup
		if($objBackup->ExecuteBackup($backup_file)){
			$msg = draw_success_message(str_replace("_FILE_NAME_", $fname, BACKUP_WAS_CREATED), false);	
		}else{
			$msg = draw_important_message($objBackup->error, false);
		}		
	}else if($st == "delete"){
		// delete previouse backup		
		if($objBackup->DeleteBackup($fname)){
			$msg = draw_success_message(str_replace("_FILE_NAME_", $fname, BACKUP_WAS_DELETED), false);	
		}else{
			$msg = draw_important_message($objBackup->error, false);
		}
	}

	// draw title bar and message
	draw_title_bar(BACKUP_INSTALLATION, "title_bar", $site_style);
	if($msg != "") echo $msg;	
	
?>    

	<table align="center" width="100%" border="0" cellspacing="0" cellpadding="3" class="main_text">
	<tr valign="top">
		<td width="45%">
			<form action="index.php?admin=backup_installation" method="post">
			<input type="hidden" name="submition_type" value="1" />
            <?php draw_token_field(); ?>
            
			<table align="center" width="100%" border="0" cellspacing="0" cellpadding="3" class="main_text">
			<tr><td colspan="2">&nbsp;</td></tr>
			<tr>
				<td align="<?php echo $text_alignment_left;?>" colspan="2"><b><?php echo BACKUP_YOUR_INSTALLATION; ?>: </b></td>		
			</tr>
			<tr>
				<td align="<?php echo $text_alignment_left;?>" width="1%"><input type="text" name="backup_file" value="<?php echo @date("M-d-Y");?>" size="24" maxlength="20" /></td>
				<td align="<?php echo $text_alignment_left;?>"><input class="form_button" type="submit" name="submit" value="<?php echo BACKUP;?>" /></td>
			</tr>
			</table>
			</form>
		</td>
		<td width="55%">
			<table align="center" width="100%" border="0" cellspacing="0" cellpadding="3" class="main_text">
			<tr><td colspan="2">&nbsp;</td></tr>
			<tr>
				<td align="left" colspan="2"><b><?php echo BACKUPS_EXISTING; ?>: </b></td>		
			</tr>
			<?php
				$objBackup->ShowPreviouseBackups("delete");
			?>
		</table>			
		</td>
	</tr>
	</table>

<?php
} else draw_important_message(NOT_AUTHORIZED);
?>