<?php

// *** Make sure the file isn't accessed directly
if(!preg_match("/index.php/i", $_SERVER['SCRIPT_FILENAME'])){
	//Give out an "access denied" error
	echo "access denied";
	//Block all other code
	exit();
}


if (@$login->IsLoggedInAs("mainadmin")){

	$submition_type = isset($_POST['submition_type']) ? $_POST['submition_type'] : "";
	$backup_file 	= isset($_POST['backup_file']) ? $_POST['backup_file'] : "";
	$st 			= isset($_GET['st']) ? $_GET['st'] : "";
	$fname 		    = isset($_GET['fname']) ? $_GET['fname'] : "";
	$msg            = "";		
	
	$objBackup = new Backup();
	
	if($st == "restore"){
		// restore previouse backup
		if($objBackup->RestoreBackup($fname)){
			$msg = draw_success_message(str_replace("_FILE_NAME_", $fname, BACKUP_WAS_RESTORED), false);	
		}else{
			$msg = draw_important_message($objBackup->error, false);
		}
	}else{
		$msg = draw_message(BACKUP_RESTORE_NOTE, false);
	}
	
	// draw title bar and message
	draw_title_bar(BACKUP_RESTORE, "title_bar", $site_style);
	if($msg != "") echo $msg;
	
?>    

	<table align="left" width="60%" border="0" cellspacing="1" cellpadding="3" class="main_text">
	<tr><td colspan="6">&nbsp;</td></tr>
	<tr>
		<td align="left" colspan="5" nowrap>&nbsp;<b><?php echo BACKUP_CHOOSE_MSG; ?>:</b>&nbsp;</td>
		<td>&nbsp;</td>
	</tr>
	<tr><td colspan="6" height="5px" nowrap></td></tr>
	<?php $objBackup->ShowPreviouseBackups("restore"); ?>
	</table>
	

<?php
} else draw_important_message(NOT_AUTHORIZED);
?>