<?php

// *** Make sure the file isn't accessed directly
if(!preg_match("/index.php/i", $_SERVER['SCRIPT_FILENAME'])){
	//Give out an "access denied" error
	echo "access denied";
	//Block all other code
	exit();
}


if (@$login->IsLoggedInAs("mainadmin")) {

	$act   = isset($_POST['act']) ? $_POST['act'] : "";
	$msg   = "";
	
	$objLanguages  = new Languages();
	
	// add new language
	if ($act == "add"){
		$params = array();		

		$params['lang_order']   = (isset($_POST['lang_order'])) ? $_POST['lang_order'] : ""; 
		$params['lang_name']    = (isset($_POST['lang_name'])) ? $_POST['lang_name'] : ""; 
		$params['abbreviation'] = (isset($_POST['abbreviation'])) ? $_POST['abbreviation'] : ""; 
		$params['is_default']   = (isset($_POST['is_default'])) ? $_POST['is_default'] : "0";
		$params['icon_image']   = (isset($_POST['icon_image'])) ? $_POST['icon_image'] : "";
		$params['lang_dir']     = (isset($_POST['lang_dir'])) ? $_POST['lang_dir'] : "ltr";
		
		if($objLanguages->LanguageAdd($params)) {
			$msg = draw_success_message(LANGUAGE_ADDED, false);
			$user_session->SetMessage('notice', $msg);
			header("location: index.php?admin=languages");
			exit;
		}else{
			$msg = draw_important_message($objLanguages->error, false);
		}
	}

	if($msg == ""){
		$msg = draw_message(ALERT_REQUIRED_FILEDS, false);
	}
}

?>