<?php

// *** Make sure the file isn't accessed directly
if(!preg_match("/index.php/i", $_SERVER['SCRIPT_FILENAME'])){
	//Give out an "access denied" error
	echo "access denied";
	//Block all other code
	exit();
}


if (@$login->IsLoggedInAs("mainadmin")) {

	$act   = isset($_POST['act']) ? $_POST['act'] : "";
	$lid   = isset($_REQUEST['lid']) ? $_REQUEST['lid'] : "0";
	$msg   = "";
	
	$objLanguages  = new Languages($lid);
	
	$params = array();		
	// add new language
	if ($act == "update"){		
		$params['id']         = $lid;
		if(isset($_POST['lang_name']))    $params['lang_name'] = $_POST['lang_name'];
		if(isset($_POST['lang_order']))   $params['lang_order'] = $_POST['lang_order'];
		if(isset($_POST['abbreviation'])) $params['abbreviation'] = $_POST['abbreviation'];
		$params['is_default'] = (isset($_POST['is_default'])) ? $_POST['is_default'] : "0";
		$params['icon_image'] = (isset($_POST['icon_image'])) ? $_POST['icon_image'] : "";
		$params['lang_dir']   = (isset($_POST['lang_dir'])) ? $_POST['lang_dir'] : "ltr";
		
		if($objLanguages->LanguageUpdate($params)) {
			$msg = draw_success_message(LANGUAGE_EDITED, false);
			$user_session->SetMessage('notice', $msg);
			header("location: index.php?admin=languages");
			exit;
		}else{
			$msg = draw_important_message($objLanguages->error, false);
		}
	}else{
		$params['lang_name']  = $objLanguages->GetParameter('lang_name');
		$params['lang_order'] = $objLanguages->GetParameter('lang_order');
		$params['abbreviation'] = $objLanguages->GetParameter('abbreviation');
		$params['is_default'] = $objLanguages->GetParameter('is_default');
		$params['icon_image'] = $objLanguages->GetParameter('icon_image');
		$params['lang_dir']   = $objLanguages->GetParameter('lang_dir');
	}

	if($msg == ""){
		$msg = draw_message(ALERT_REQUIRED_FILEDS, false);
	}
}

?>