<?php

// *** Make sure the file isn't accessed directly
if(!preg_match("/index.php/i", $_SERVER['SCRIPT_FILENAME'])){
	//Give out an "access denied" error
	echo "access denied";
	//Block all other code
	exit();
}


if (@$login->IsLoggedIn()) {

	$submit   = isset($_POST['subSavePage']) ? $_POST['subSavePage'] : "";
	$act      = isset($_POST['act']) ? $_POST['act'] : "";
	$msg 	  = "";
    $language_id = Languages::GetDefaultLang();

	$objStaticPage = new StaticPages();
	
	if ($act == "add") {
		
		$params = array();

		if(isset($_POST['page_title'])) $params['page_title'] = $_POST['page_title'];
		if(isset($_POST['page_text'])) $params['page_text'] = $_POST['page_text'];
		$params['menu_id'] =  (isset($_POST['menu_id'])) ? $_POST['menu_id'] : "0";
		if(isset($_POST['menu_link'])) $params['menu_link'] = $_POST['menu_link'];
		if(isset($_POST['menu_placement']))  $params['menu_placement']  = $_POST['menu_placement'];
		$params['page_key'] = create_seo_url($_POST['page_title']);
		$params['language_id'] = (isset($_POST['language_id']) && strlen($_POST['language_id']) == 2) ? $_POST['language_id'] : "";
		
		if($objStaticPage->PageCreate($params)) {
			$msg = draw_success_message(PAGE_CREATED, false);
			$user_session->SetMessage('notice', $msg);
			header("location: index.php?admin=static_pages");
			exit;
		}else{
			$msg = draw_important_message($objStaticPage->error, false);
		}
	}

	if($msg == ""){
		$msg = draw_message(ALERT_REQUIRED_FILEDS, false);
	}
	
} 
?>