<?php

// *** Make sure the file isn't accessed directly
if(!preg_match("/index.php/i", $_SERVER['SCRIPT_FILENAME'])){
	//Give out an "access denied" error
	echo "access denied";
	//Block all other code
	exit();
}

if (@$login->IsLoggedInAs("mainadmin")) {

	draw_title_bar(LANGUAGE_EDIT, "title_bar", $site_style); 
	echo $msg;

?>
	<form name='frmEditLang' method='post'>
		<?php draw_hidden_field("act", "update"); ?>
		<?php draw_hidden_field("lid", $lid); ?>
        <?php draw_token_field(); ?>
        
		<table width="100%" border="0" cellspacing="0" cellpadding="2" class="main_text">
		<tr>
			<td width="30%"><?php echo LANGUAGE_NAME;?> <font color="#c13a3a">*</font>:</td>
			<td><input class="form_text" name="lang_name" id="frmEditLang_name" value="<?php echo $params['lang_name'];?>" size="40" maxlength="20"></td>
		</tr>
		<tr>
			<td><?php echo ABBREVIATION;?> :</td>
			<td>
				<input type="hidden" name="abbreviation" id="abbreviation" value="<?php echo $params['abbreviation'];?>" maxlength="2" />
				<?php echo strtoupper($params['abbreviation']); ?>
			</td>
		</tr>
		<tr>
			<td><?php echo HDR_TEXT_DIRECTION;?> :</td>
			<td>
				<select class="form_text" name="lang_dir" id="lang_dir">
					<option <?php echo (($params['lang_dir'] == "ltr") ? "selected='selected'" : "");?> value='ltr'><?php echo LEFT_TO_RIGHT;?></option>
					<option <?php echo (($params['lang_dir'] == "rtl") ? "selected='selected'" : "");?> value='rtl'><?php echo RIGHT_TO_LEFT;?></option>
				</select>		
			</td>
		</tr>
		<tr>
			<td><?php echo ICON_IMAGE;?> : (images/flags/)</td>
			<td><input type="text" class="form_text" name="icon_image" id="icon_image" value="<?php echo $params['icon_image'];?>" size="40" maxlength="50"></td>
		</tr>
		<tr>
			<td><?php echo ORDER;?> :</td>
			<td>
				<?php
					// output select tag as a total number of langs available
					$total_langs = Languages::GetAll();
					// display one more order option for the next language
					draw_numbers_select_field("lang_order",$params['lang_order'],1,$total_langs[1]); 
				?>
			</td>
		</tr>
		<tr>
			<td><?php echo IS_DEFAULT;?>? </td>
			<td><input type="checkbox" class="form_text" name="is_default" id="is_default" value="1" <?php echo (($params['is_default'] == "1") ? "checked='checked' disabled='disabled'" : "");?>></td>
		</tr>
		<tr>
			<td colspan="2">
				<input class="form_button" type="button" name="butCancelLang" onclick="window.location.href='index.php?admin=languages'" value="<?php echo BUTTON_CANCEL;?>">
				<input class="form_button" type="submit" name="subAddLang" value="<?php echo BUTTON_UPDATE;?>">
			</td>
		<tr>		
		</table>
		<br />
	</form>
	<script type="text/javascript">
		mcms_SetFocus("frmEditLang_name");
	</script>
<?php
} else draw_important_message(NOT_AUTHORIZED);
?>