<?php

// *** Make sure the file isn't accessed directly
if(!preg_match("/index.php/i", $_SERVER['SCRIPT_FILENAME'])){
	//Give out an "access denied" error
	echo "access denied";
	//Block all other code
	exit();
}


if (@$login->IsLoggedInAs("mainadmin")) {
	
	$act = isset($_GET['act']) ? $_GET['act'] : "";
	$mid = isset($_GET['mid']) ? $_GET['mid'] : "";
	$mo  = isset($_GET['mo']) ? $_GET['mo'] : "";
	$dir = isset($_GET['dir']) ? $_GET['dir'] : "";
	$language_id = (isset($_REQUEST['language_id']) && strlen($_REQUEST['language_id']) == 2) ? htmlentities($_REQUEST['language_id']) : Languages::GetDefaultLang();
	$msg = '';
	$menu = new Menu($mid);
	
	if($act=="delete"){
		// delete menu action
		if($menu->MenuDelete($mid, $mo)){
			$msg = draw_success_message(MENU_DELETED, false);
		}else{
			$msg = draw_important_message($menu->error, false);
		}
	}else if($act=="move"){
		// move menu action
		if($menu->MenuMove($mid, $dir, $mo)){
			$msg = draw_success_message(MENU_ORDER_CHANGED, false);
		}else{
			$msg = draw_important_message($menu->error, false);
		}		
	}
	
	// Start main content
	$all_menus = array();
	$all_menus = Menu::GetAll(" menu_order ASC", "menus", "", $language_id);	
	$total_languages = Languages::GetAll();	
	
	draw_title_bar(MENU_MANAGEMENT, "title_bar", $site_style);

	if($user_session->IsMessage('notice')) echo $user_session->GetMessage('notice');
	if($msg != "") echo $msg;

	
?>    
	<script type="text/javascript">
	<!--
		function confirmDelete(mid, mo){
			if(!confirm('<?php echo MENU_DELETE_WARNING;?>')){
				false;
			}else{
				window.location.href = 'index.php?admin=menus&act=delete&mid='+mid+'&mo='+mo+'&language_id=<?php echo $language_id; ?>';
			}			
		}
	//-->
	</script>
	<table width="100%" border="0" cellspacing="0" cellpadding="2" class="main_text">
	<tr>
		<td align='right'>
		<?php echo get_languages_box("language_id", $total_languages[0], "abbreviation", "lang_name", $language_id, "", "onchange=\"window.location.href='index.php?admin=menus&language_id='+this.value\""); ?>
		</td>
	</tr>
	</table>
	<?php
	if($all_menus[1] > 0){ ?>				
		<table width="100%" border="0" cellspacing="0" cellpadding="2" class="main_text">
		<tr><td colspan="5" height="3px" nowrap></td></tr>
		<tr>
			<th width="55%" align='<?php echo $text_alignment_left; ?>'><?php echo MENU_TITLE;?></th>
			<th width="15%"><?php echo LANGUAGE;?></th>
			<th width="15%"><?php echo ORDER;?></th>
			<th width="20%"><?php echo CHANGE_ORDER;?></th>
			<th width="15%"><?php echo ACTIONS;?></th>					
		</tr>
		<tr><td colspan="5" height="3px" nowrap><?php draw_line(); ?></td></tr>
		<?php
			for($i=0;$i<$all_menus[1];$i++){
				echo "<tr ".highlight(0)." onmouseover='oldColor=this.style.backgroundColor;this.style.backgroundColor=\"#e1e1e1\";' onmouseout='this.style.backgroundColor=oldColor'>
					<td align='".$text_alignment_left."'>".$all_menus[0][$i]['menu_name']."</td>
					<td align='center'>".$all_menus[0][$i]['language_name']."</td>
					<td align='center'>".$all_menus[0][$i]['menu_order']."</td>
					<td align='center'>
						<a href='index.php?admin=menus&act=move&mid=".$all_menus[0][$i]['id']."&mo=".$all_menus[0][$i]['menu_order']."&dir=up&language_id=".$language_id."'>".UP."</a>/<a href='index.php?admin=menus&act=move&mid=".$all_menus[0][$i]['id']."&mo=".$all_menus[0][$i]['menu_order']."&dir=down'>".DOWN."</a>
					</td>
					<td align='center' nowrap>
						<a href='index.php?admin=menus_edit&mid=".$all_menus[0][$i]['id']."&language_id=".$language_id."'>".EDIT_WORD."</a>&nbsp;".get_divider()."&nbsp;<a href='javascript:confirmDelete(\"".$all_menus[0][$i]['id']."\", \"".$all_menus[0][$i]['menu_order']."\");'>".DELETE_WORD."</a>
					</td>
				</tr>";
			}
		echo "</table>";
	}else{
		echo draw_message(MENU_NOT_FOUND);
	} 
	?>
	
<?php
} else draw_important_message(NOT_AUTHORIZED);
?>