<?php

// *** Make sure the file isn't accessed directly
if(!preg_match("/index.php/i", $_SERVER['SCRIPT_FILENAME'])){
	//Give out an "access denied" error
	echo "access denied";
	//Block all other code
	exit();
}


if(@$login->IsLoggedInAs("mainadmin")){
	
	$submition_type = isset($_POST['submition_type']) ? $_POST['submition_type'] : "";
	$header_text    = isset($_POST['header_text']) ? $_POST['header_text'] : "";
	$footer_text    = isset($_POST['footer_text']) ? $_POST['footer_text'] : "";
	$site_template  = isset($_POST['site_template']) ? $_POST['site_template'] : "";
	
	$fields_array   = array();
	$params["text_direction"] = isset($_POST['text_direction']) ? $_POST['text_direction'] : $objSettings->GetParameter("text_direction");
	$params["admin_email"] 	  = isset($_POST['admin_email']) ? $_POST['admin_email'] : $objSettings->GetParameter("admin_email");
	$params["tag_title"] 	  = isset($_POST['tag_title']) ? $_POST['tag_title'] : $objSettings->GetParameter("tag_title");
	$params["tag_description"]= isset($_POST['tag_description']) ? $_POST['tag_description'] : $objSettings->GetParameter("tag_description");
	$params["tag_keywords"]   = isset($_POST['tag_description']) ? $_POST['tag_keywords'] : $objSettings->GetParameter("tag_keywords");
	
	$msg = "";

	// SAVE CHANGES			
	if($submition_type == "1"){
		if($header_text != ""){
			if($objSettings->SetHeader($header_text) == true) $msg = draw_success_message(SETTINGS_SAVED, false);	
			else $msg = draw_important_message($objSettings->error, false);					
		}else $msg = draw_important_message(HEADER_IS_EMPTY, false);	
	}else if($submition_type == "2"){
		if($footer_text != ""){
			if($objSettings->SetFooter($footer_text) == true) $msg = draw_success_message(SETTINGS_SAVED, false);	
			else $msg = draw_important_message($objSettings->error, false);									
		}else $msg = draw_important_message(FOOTER_IS_EMPTY, false);	
	}else if($submition_type == "3"){
		if($params["tag_title"] == ""){
			$msg = draw_important_message(TAG_TITLE_IS_EMPTY, false);
			$params["tag_title"] = $objSettings->GetParameter("tag_title");
		}else{
			if($objSettings->UpdateFields($params) == true) $msg = draw_success_message(SETTINGS_SAVED, false);	
			else $msg = draw_important_message($objSettings->error, false);			
		}
	}else if($submition_type == "4"){
		if($site_template != ""){
			if($objSettings->SetTemplate($site_template) == true) $msg = draw_success_message(SETTINGS_SAVED, false);	
			else $msg = draw_important_message($objSettings->error, false);									
		}else $msg = draw_important_message(TEMPLATE_IS_EMPTY, false);
	}else if($submition_type == "5"){
		if($params["admin_email"] == ""){
			$msg = draw_important_message(ADMIN_EMAIL_IS_EMPTY, false);
			$params["admin_email"] = $objSettings->GetParameter("admin_email");
		}else if(!check_email_address($params["admin_email"])){
			$msg = draw_important_message(ADMIN_EMAIL_WRONG, false);
			$params["admin_email"] = $objSettings->GetParameter("admin_email");
		}else{			
			if($objSettings->UpdateFields($params) == true) $msg = draw_success_message(SETTINGS_SAVED, false);	
			else $msg = draw_important_message($objSettings->error, false);
		}
	}		
	
	$template = $objSettings->GetTemplate();

	draw_title_bar(SITE_SETTINGS, "title_bar", $site_style);
	if($msg == "") draw_message(ALERT_REQUIRED_FILEDS);
	else echo $msg;
	?>

<br />
<table width="100%">
<tr>
	<td align="left" width="92%">

		<form action="index.php?admin=settings" method="post">
		<input type="hidden" name="submition_type" value="1" />
        <?php draw_token_field(); ?>
        
		<table width="100%" border="0" cellspacing="0" cellpadding="3" class="main_text">
		<tr align="center"><td style="padding-left: 0px;" colspan="2"><?php echo draw_line();?></td></tr>	
		<tr valign="top">
			<td align="left" width="150px"><?php echo HDR_HEADER_TEXT;?> <font color="#c13a3a">*</font>:</td>
			<td align="right"><textarea class="form_text" name="header_text" cols="54" rows="3"><?php echo $objSettings->GetHeader();?></textarea></td>
		</tr>
		<tr align="right">
			<td style="padding-left: 0px;" colspan="2"><input class="form_button" type="submit" name="submit" value="<?php echo BUTTON_CHANGE;?>"></td>
		</tr>
		</table>
		</form>	
		
		<form action="index.php?admin=settings" method="post">
		<input type="hidden" name="submition_type" value="2" />
        <?php draw_token_field(); ?>
        
		<table width="100%" border="0" cellspacing="0" cellpadding="3" class="main_text">
		<tr align="center"><td style="padding-left: 0px;" colspan="2"><?php echo draw_line();?></td></tr>	
		<tr valign="top">
			<td align="left" width="150px"><?php echo HDR_FOOTER_TEXT;?> <font color="#c13a3a">*</font>:</td>
			<td align="right"><textarea class="form_text" name="footer_text" cols="54" rows="3"><?php echo $objSettings->GetFooter();?></textarea></td>
		</tr>
		<tr align="right">
			<td style="padding-left: 0px;" colspan="2"><input class="form_button" type="submit" name="submit" value="<?php echo BUTTON_CHANGE;?>"></td>
		</tr>
		</table>
		</form>

		<form action="index.php?admin=settings" method="post">
		<input type="hidden" name="submition_type" value="3" />
        <?php draw_token_field(); ?>
        <?php draw_token_field(); ?>
		<table width="100%" border="0" cellspacing="0" cellpadding="3" class="main_text">
		<tr align="center"><td style="padding-left: 0px;" colspan="2"><?php echo draw_line();?></td></tr>	
		<tr valign="top">
			<td align="left" width="150px"><?php echo TAG_TITLE;?> <font color="#c13a3a">*</font>:</td>
			<td align="right"><textarea class="form_text" name="tag_title" cols="54" rows="2"><?php echo htmlentities($params["tag_title"]);?></textarea></td>
		</tr>
		<tr valign="top">
			<td align="left" width="150px"><?php echo META_TAG_DESCRIPTION;?> :</td>
			<td align="right"><textarea class="form_text" name="tag_description" cols="54" rows="3"><?php echo htmlentities($params["tag_description"]);?></textarea></td>
		</tr>
		<tr valign="top">
			<td align="left" width="150px"><?php echo META_TAG_KEYWORDS;?> :</td>
			<td align="right"><textarea class="form_text" name="tag_keywords" cols="54" rows="3"><?php echo htmlentities($params["tag_keywords"]);?></textarea></td>
		</tr>
		<tr align="right">
			<td style="padding-left: 0px;" colspan="2"><input class="form_button" type="submit" name="submit" value="<?php echo BUTTON_CHANGE;?>"></td>
		</tr>
		</table>
		</form>
	
		<form action="index.php?admin=settings" method="post">
		<input type="hidden" name="submition_type" value="4" />
        <?php draw_token_field(); ?>
        
		<table width="100%" border="0" cellspacing="0" cellpadding="3" class="main_text">
		<tr align="center"><td style="padding-left: 0px;" colspan="2"><?php echo draw_line();?></td></tr>	
		<tr valign="top">
			<td align="left" width="150px"><?php echo HDR_TEMPLATE;?> <font color="#c13a3a">*</font>:</td>
			<td align="left">
				<select name="site_template">
				<option value="">-- <?php echo SELECT;?> --</option>
				<?php
					// prepare css styles
					$arr_css_styles = @read_directory_subfolders("styles/"); 
					foreach($arr_css_styles as $key){
                        if($key != 'admin'){
                            echo "<option ".(($template == $key) ? "selected" : "")." value='".$key."'>".ucfirst($key)."</option>";                            
                        }
					}				
				?>
				</select>
			</td>
		</tr>
		<tr align="right">
			<td style="padding-left: 0px;" colspan="2"><input class="form_button" type="submit" name="submit" value="<?php echo BUTTON_CHANGE;?>"></td>
		</tr>
		</table>
		</form>

		<form action="index.php?admin=settings" method="post">
		<input type="hidden" name="submition_type" value="5" />
        <?php draw_token_field(); ?>
        
		<table width="100%" border="0" cellspacing="0" cellpadding="3" class="main_text">
		<tr align="center"><td style="padding-left: 0px;" colspan="2"><?php echo draw_line();?></td></tr>	
		<tr valign="top">
			<td align="left" width="150px"><?php echo HDR_TEXT_DIRECTION; ?>:</td>
			<td align="left">
				<select name="text_direction">
					<option <?php echo (($params["text_direction"] == "ltr") ? "selected" : "");?> value='ltr'><?php echo LEFT_TO_RIGHT;?></option>
					<option <?php echo (($params["text_direction"] == "rtl") ? "selected" : "");?> value='rtl'><?php echo RIGHT_TO_LEFT;?></option>
				</select>		
			</td>
		</tr>
		<tr valign="top">
			<td align="left" width="150px"><?php echo EMAIL_ADDRESS; ?> <font color="#c13a3a">*</font>: </td>
			<td align="left">
				<input type="text" name="admin_email" value="<?php echo htmlentities($params["admin_email"]); ?>" />
			</td>
		</tr>
		<tr align="right">
			<td style="padding-left: 0px;" colspan="2"><input class="form_button" type="submit" name="submit" value="<?php echo BUTTON_CHANGE; ?>"></td>
		</tr>
		</table>
		</form>		
		
	</td>
	<td width="8%"></td>
</tr>
</table>
	
<?php
} else draw_important_message(NOT_AUTHORIZED);
?>