<?php

// *** Make sure the file isn't accessed directly
if(!preg_match("/index.php/i", $_SERVER['SCRIPT_FILENAME'])){
	//Give out an "access denied" error
	echo "access denied";
	//Block all other code
	exit();
}


if (@$login->IsLoggedIn()) {

	$act = isset($_GET['act']) ? $_GET['act'] : "";
	$language_id = (isset($_REQUEST['language_id']) && $_REQUEST['language_id'] != "") ? $_REQUEST['language_id'] : Languages::GetDefaultLang();
	$msg = '';
	
	// do delete action
	if($act=="delete"){
		$pid = isset($_GET['pid']) ? $_GET['pid'] : "";
		$page = new StaticPages($pid);
		if($page->PageDelete($pid)){
			$msg = draw_success_message(PAGE_DELETED, false);
		}else{
			$msg = draw_important_message($page->error, false);
		}
	}
	
	// start main content
	$all_pages = array();
	$all_pages = StaticPages::GetAll($language_id);
	$total_languages = Languages::GetAll();
	
	draw_title_bar(PAGE_MANAGEMENT, "title_bar", $site_style); 

	if($user_session->IsMessage('notice')) echo $user_session->GetMessage('notice');
	if($msg != "") echo $msg;

?>
	<script type="text/javascript">
	<!--
		function confirmDelete(pid){
			if(!confirm('<?php echo PAGE_DELETE_WARNING;?>')){
				false;
			}else{
				window.location.href = 'index.php?admin=static_pages&act=delete&language_id=<?php echo $language_id; ?>&pid='+pid;
			}
			
		}
	//-->
	</script>

	<table width="100%" border="0" cellspacing="0" cellpadding="2" class="main_text">
	<tr>
		<td align='right'>
		<?php echo get_languages_box("language_id", $total_languages[0], "abbreviation", "lang_name", $language_id, "", "onchange=\"window.location.href='index.php?admin=static_pages&language_id='+this.value\""); ?>
		</td>
	</tr>
	</table>

	<?php
	if($all_pages[1] > 0){ ?>
		<table width="100%" border="0" cellspacing="0" cellpadding="2" class="main_text">
		<tr><td colspan="5" height="3px" nowrap></td></tr>
		<tr>
			<th width="40%" align='<?php echo $text_alignment_left; ?>'><?php echo MENU_LINK;?></th>
			<th width="15%"><?php echo LANGUAGE;?></th>
			<th width="10%"><?php echo PLACEMENT;?></th>
			<th width="15%"><?php echo MENU_WORD;?></th>
			<th width="20%"><?php echo ACTIONS_WORD;?></th>
		</tr>
		<tr><td colspan="5" height="3px" nowrap><?php draw_line(); ?></td></tr>
		<?php
			for($i=0;$i<$all_pages[1];$i++){

				// prepare page header for display
				$page_header = $all_pages[0][$i]['page_title'];
				if(strlen($page_header)>60)$page_header = substr($page_header,0,60)."..";

				// prepare menu link for display
				$menu_name = $all_pages[0][$i]['menu_name'];
				if(strlen($menu_name) > 18) $menu_name = substr($menu_name,0,18)."..";
				
				$menu_link = $all_pages[0][$i]['menu_link'];
				$page_placement = $all_pages[0][$i]['menu_placement'];

				// display page row
				echo '<tr '.highlight(0).' onmouseover="oldColor=this.style.backgroundColor;this.style.backgroundColor=\'#ededed\';" onmouseout="this.style.backgroundColor=oldColor">
						<td align="'.$text_alignment_left.'" title="'.$page_header.'">'.$menu_link.'</td>
						<td align="center" title="'.CLICK_TO_EDIT.'">'.$all_pages[0][$i]['language_name'].'</td>
						<td align="center" title="'.CLICK_TO_EDIT.'">'.$page_placement.'</td>
						<td align="center" title="'.CLICK_TO_EDIT.'">'.(($menu_name!="")?$menu_name:NOT_AVAILABLE).'</td>
						<td align="center" nowrap>
							<a href="index.php?page=static_pages&pid='.$all_pages[0][$i]['id'].'">'.VIEW_WORD.'</a>&nbsp;'.get_divider().'&nbsp;<a href="index.php?admin=static_pages_edit&pid='.$all_pages[0][$i]['id'].'">'.EDIT_WORD.'</a>&nbsp;'.get_divider().'&nbsp;<a href="javascript:confirmDelete(\''.$all_pages[0][$i]['id'].'\');">'.DELETE_WORD.'</a>
						</td>
					</tr>';
			}
		echo "</table>";	
	}else {
		echo '<tr><td colspan="3" align="center">'.draw_important_message(PAGE_NOT_FOUND, false).'</td></tr>';
	} 
	?>
<?php
} else draw_important_message(NOT_AUTHORIZED);
?>