<?php

// *** Make sure the file isn't accessed directly
if(!preg_match("/index.php/i", $_SERVER['SCRIPT_FILENAME'])){
	//Give out an "access denied" error
	echo "access denied";
	//Block all other code
	exit();
}


if (@$login->IsLoggedIn()) {

	$button_align = ($objSettings->GetDirection() == "ltr") ? "text-align: right;" : "text-align: left;";
	// $wysiwyg_height = ($page_key == "home") ? "260px" : "220px";
	$wysiwyg_height = "300px";
	
	// draw title bar
	draw_title_bar(EDIT_PAGE, "title_bar", $site_style);
	echo $msg;
	
?>
	<script type="text/javascript">
		function Language_OnChange(val){
			window.location.href = "index.php?admin=static_pages_edit&language_id="+val;
		}

		function MenuPlacement_OnChange(val){
			if(val == "top"){
				document.getElementById("menu_id").selectedIndex = 0;
				document.getElementById("menu_id").disabled = "disabled";
			}else{
				document.getElementById("menu_id").disabled = "";
			}
		}

		function Cancel(){
			window.location.href = "index.php?admin=static_pages&language_id=<?php echo $objStaticPage->GetParameter("language_id"); ?>";
		}
	</script>

	<form name='frmStaticPage' method='post' action="index.php?admin=static_pages_edit">
		<?php draw_hidden_field("act","edit"); ?>
		<?php draw_hidden_field("pid",$page_id); ?>
		<?php draw_hidden_field("language_id",$objStaticPage->GetParameter("language_id")); ?>
        <?php draw_token_field(); ?>
        
		<table align="center" width="660px" border="0" cellspacing="0" cellpadding="2" class="main_text">
		<tr>
			<td><?php echo LANGUAGE;?> <font color="#c13a3a">*</font>:</td>
			<td>
				<?php
					// display language
					$total_languages = Languages::GetAll();
					if($page_id != "home") {
						echo get_languages_box("language_id", $total_languages[0], "abbreviation", "lang_name", $objStaticPage->GetParameter("language_id"), "", "disabled='disabled'"); 						
					}else{
						echo get_languages_box("language_id", $total_languages[0], "abbreviation", "lang_name", $language_id, "", "onchange='Language_OnChange(this.value)'");
					}
				?>
			</td>
		</tr>
		<tr>
			<td><?php echo PAGE_HEADER;?> <font color="#c13a3a">*</font>:</td>
			<td><input class="form_text" name="page_title" value="<?php echo $objStaticPage->GetTitle();?>" size="50"></td>
		</tr>
		<?php
		// if editing homepage - don't show this
		if($page_id != "home") {
		?>
			<tr>
				<td nowrap><?php echo MENU_LINK_TEXT;?>:</td>
				<td><input class="form_text" name="menu_link" value="<?php echo $objStaticPage->GetMenuLink();?>" size="50" maxlength="25"></td>
			</tr>
			<tr>
				<td><?php echo DISPLAY_ON;?>:</td>
				<td><?php Menu::DrawMenuPlacementBox($objStaticPage->GetMenuPlacement()); ?></td>
			</tr>
			<tr>
				<td><?php echo ADD_TO_MENU;?>:</td>
				<td><?php Menu::DrawMenuSelectBox($objStaticPage->GetMenuId(), $objStaticPage->GetMenuPlacement(), $objStaticPage->GetParameter("language_id")); ?></td>
			</tr>
		<?php }else{ ?>
			<tr>
				<td colspan="2">&nbsp;</td>
			</tr>		
		<?php } ?>
		<tr>
			<td><?php echo PAGE_TEXT;?>:</td>
			<td style='<?php echo $button_align;?>'>
				<input class="form_button" type="button" name="butCancel" value="<?php echo BUTTON_CANCEL; ?>" onclick="Cancel()">&nbsp;&nbsp;			
				<input class="form_button" type="submit" name="subSavePage" value="<?php echo BUTTON_SAVE_CHANGES ?>">
			</td>
		</tr>
		<tr>
			<td colspan="2" align="center">				
				<textarea name="page_text" id="my_page_text" rows="20" cols="75"><?php if ($objStaticPage->GetText() != "") echo htmlspecialchars($objStaticPage->GetText()); ?></textarea>
			</td>
		</tr>
		<tr>
			<td colspan="2" style='<?php echo $button_align;?>'>
				<input class="form_button" type="button" name="butCancel" value="<?php echo BUTTON_CANCEL; ?>" onclick="Cancel()">&nbsp;&nbsp;
				<input class="form_button" type="submit" name="subSavePage" value="<?php echo BUTTON_SAVE_CHANGES; ?>">
			</td>
		</tr>
		</table>
	</form>

	<!-- 
		Include the WYSIWYG javascript files
	-->
	<script type="text/javascript" src="wysiwyg/scripts/wysiwyg.js"></script>
	<script type="text/javascript" src="wysiwyg/scripts/wysiwyg-settings.js"></script>
	<!-- 
		Attach the editor on the textareas
	-->
	<script type="text/javascript">
		var mysettings = new WYSIWYG.Settings();

		mysettings.ImagesDir = "wysiwyg/images/";
		mysettings.CSSFile = "wysiwyg/styles/wysiwyg.css";
		mysettings.PopupsDir = "wysiwyg/popups/";
		mysettings.PreviewWidth = "650px";
		mysettings.PreviewHeight = "<?php echo $wysiwyg_height; ?>";
		mysettings.Width = "650px";
		mysettings.Height = "<?php echo $wysiwyg_height; ?>";
		
		// define the width of the insert image popup
		mysettings.ImagePopupWidth = 420; 
		// define the height of the insert image popup
		mysettings.ImagePopupHeight = 245;

		// Use it to attach the editor to all textareas with full featured setup
		//WYSIWYG.attach('all', full);
		
		// Use it to attach the editor directly to a defined textarea
		WYSIWYG.attach('my_page_text', mysettings); // default setup
		//WYSIWYG.attach('textarea2', full); // full featured setup
		//WYSIWYG.attach('textarea3', small); // small setup
		
		// Use it to display an iframes instead of a textareas
		//WYSIWYG.display('all', full);
		
	</script>

<?php
} else draw_important_message(NOT_AUTHORIZED);
?>