<?php
	include_once("include/functions.inc.php");
	include_once("include/settings.inc.php");

	$database_prefix 	= isset($_POST['database_prefix']) ? strtolower(stripcslashes($_POST['database_prefix'])) : "mcms101_";	 
	$install_type 	 	= isset($_POST['install_type'])?$_POST['install_type']:"new";
	$act 			 	= isset($_POST['act']) ? $_POST['act'] : "";
	$completed		 	= false;
	$error_mg		 	= array();
	$error_msg 			= "";

	$username			= isset($_POST['username']) ? stripcslashes($_POST['username']) : "";
	$password			= isset($_POST['password']) ? stripcslashes($_POST['password']) : "";
	$database_name		= isset($_POST['database_name']) ? stripcslashes($_POST['database_name']) : "";
	$database_host		= isset($_POST['database_host']) ? stripcslashes($_POST['database_host']) : "";
    $database_username	= isset($_POST['database_username']) ? prepare_input($_POST['database_username']) : "";
	$database_password 	= isset($_POST['database_password']) ? stripcslashes($_POST['database_password']) : "";
	
?>
<html>
<html>
	<head>
		<title>ApPHP MicroCMS</title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link rel="stylesheet" type="text/css" href="install/images/styles.css" />
	</head>
<body>
<?php
if (file_exists("include/base.inc.php")) {
	echo "<script>window.location.href='index.php'</script>";
} else {
?>
<center>
<br/>

<?php
	//--------------------------------------------------------------------------
	
	if(phpversion() < "5"){		
		$error_msg .= "&#8226; This software requires PHP 5.0 and later version! Your server uses a version ".phpversion()."<br />";
	}
	if(!is_writable("include/")){
		$error_msg .= "&#8226; You need to grant write access rights (0755 or 777) to <b>include/</b> folder before installation started!"."<br />";
	}	
	if($error_msg != ""){
		$msg = draw_important_message($error_msg, false);	
	}else{
		$msg = draw_message("&#8226; Please fill the form out below to start installation of ApPHP MicroCMS on this server. <br />&#8226; Make sure that information you provide is correct. <br />&#8226; Then click on the Start Installation button.", false);	
	}	

	if (!$error_msg && $act == "install") {
   	    $db_encrypt_key     = random_string();
        
		if (empty($username) || empty($password) || empty($database_host) || empty($database_username) || empty($database_name) || empty($install_type)) {
			$msg = draw_important_message("Fields marked with an asterisk (*) are required! Please re-enter.", false);
		} else {
			if(_PASSWORD_ENCRYPTION){
				$sql_password = "AES_ENCRYPT('".$password."', '".$db_encrypt_key."')";
			}else{
				$sql_password = $password;
			}

			@chmod("include/", 0777);
			$f=fopen("include/base.inc.php","w+");
			$database_inf="<?php
			// DATABASE CONNECTION INFORMATION
			define('DATABASE_HOST', '".$database_host."');	        // Database host
			define('DATABASE_NAME', '".$database_name."');	        // Name of the database to be used
			define('DATABASE_USERNAME', '".$database_username."');	// User name for access to database
			define('DATABASE_PASSWORD', '".$database_password."');	// Password for access to database
			define('DB_ENCRYPT_KEY', '".$db_encrypt_key."');		// Database encryption key
			define('DB_PREFIX', '".$database_prefix."');		    // Unique prefix of all table names in the database
			?>";			
			
			if (fwrite($f,$database_inf)>0) {
				fclose($f);
				if (@mysql_connect($database_host, $database_username, $database_password)) {
					if (@mysql_select_db($database_name)) {					    
						
						$sql_dump = file_get_contents("install/db_".$install_type.".sql");
						if($sql_dump != ""){							
							if(false == ($db_error = phpmcms_db_install("install/db_".$install_type.".sql"))){
								$msg = draw_important_message("An error occured while executing SQL statement! Please check your SQL file.", false);
								@unlink("include/base.inc.php");
							}else{
                                $msg = "ApPHP MicroCMS installation was successfully completed!<br /><br />";
                                $msg .= "<a href='index.php'>Home</a>&nbsp;&nbsp|&nbsp;&nbsp;";
                                $msg .= "<a href='index.php?page=login'>Admin Login</a>&nbsp;";
                                $msg = draw_success_message($msg, false);
								$completed=true;								
							}
							
							foreach($error_mg as $msg){
								echo "<span style='color:#bb5500;'>&#8226; ".$msg."</span><br />";
							}
							
						}else{
							$msg = draw_important_message("An error occured while getting content from dump.sql! Please check if this file exists.", false);
							@unlink("include/base.inc.php");				
						}						

					} else {
						$msg = draw_important_message("An error occured while connecting to database! Please check your connection parameters..", false);
						@unlink("include/base.inc.php");
					}
				} else {
					$msg = draw_important_message("An error occured while connecting to database! Please check your connection parameters...", false);
					@unlink("include/base.inc.php");
				}
			} else {
				$msg = draw_important_message("Cannot open file include/base.inc.php", false);
			}
			@chmod("include/", 0755);    			
		}
	}

?>	
<?php if (!$completed) { ?>

<form method="post" action="<?php echo $_SERVER['SCRIPT_NAME']; ?>">
<input type="hidden" name="act" value="install" />
<?php draw_token_field(); ?>

<table align="center" width="620px" cellspacing=0 cellpadding=2 border=0>
<tbody>
<tr>
    <td class="text" valign=top><h2>New Installation of ApPHP MicroCMS v<?php echo _CURRENT_VERSION; ?>!</h2></td>
</tr>
<tr>
    <td class="text" valign=top><?php echo $msg;?></td>
</tr>
<tr>
    <td class="text" valign=top>
		<table width="100%" cellspacing=0 cellpadding=0 border=0  background="install/images/loginbg.gif">
		<tbody>
		<tr>
			<td align="left"><img height=16 alt="" src="install/images/logincrnlt.gif" width=16 border=0></td>
			<td></td>
			<td align="right"><img height=16 alt="" src="install/images/logincrnrt.gif" width=16 border=0></td>
		</tr>
		<tr>
			<td></td>
			<td align=middle>
				<table border="0" cellspacing="0" cellpadding="2" align="center">
				<tr>
					<tr>
						<td class="text_label" align="right">&nbsp;Database Host</td>
						<td><span style="color:#a60000">*</span>&nbsp;</td>
						<td class="text"><input type="text" name="database_host" value='localhost' size="30" autocomplete="off" /></td>
					</tr>
					<tr>
						<td class="text_label" align="right">&nbsp;Database Name</td>
						<td><span style="color:#a60000">*</span>&nbsp;</td>
						<td class="text"><input type="text" name="database_name" size="30" value="<?php echo $database_name;?>" autocomplete="off" /></td>
					</tr>
					<tr>
						<td class="text_label" align="right">&nbsp;Database Username</td>
						<td><span style="color:#a60000">*</span>&nbsp;</td>
						<td class="text"><input type="text" name="database_username" size="30" value="<?php echo $database_username;?>" autocomplete="off" /></td>
					</tr>
					<tr>
						<td class="text_label" align="right">&nbsp;Database Password</td>
						<td>&nbsp;</td>
						<td class="text"><input type="password" name="database_password" size="30" value="<?php echo $database_password;?>" autocomplete="off" /></td>
					</tr>
					<tr>
						<td class="text_label" align="right">&nbsp;Database Prefix (optional)</td>
						<td>&nbsp;</td>
						<td class="text"><input name="database_prefix" size="12" maxlength="12" value="<?php echo $database_prefix;?>" autocomplete="off" /></td>
					</tr>
					<tr>
						<td class="text_label" align="right">&nbsp;Installation type</td>
						<td>&nbsp;</td>
						<td class="text">
							<input type="radio" name="install_type" value="new" <?php echo ($install_type == "new") ? "checked" : ""; ?>  autocomplete="off" /> New
							<input type="radio" name="install_type" disabled="disabled" value="update" <?php echo ($install_type == "update") ? "checked" : ""; ?>  autocomplete="off" /> Update
						</td>
					</tr>
					<tr><td colspan="3">&nbsp;</td></tr>
					<tr><td colspan="3">&nbsp;</td></tr>
					<tr>
						<td class="text_label" align="right">&nbsp;Admin Login</td>
						<td><span style="color:#a60000">*</span>&nbsp;</td>
						<td class="text"><input name="username" type="text" size="28" maxlength="20" value="<?php echo $username;?>" autocomplete="off" /></td>
					</tr>
					<tr>
						<td class="text_label" align="right">&nbsp;Admin Password</td>
						<td><span style="color:#a60000">*</span>&nbsp;</td>
						<td class="text"><input name="password" type="password" size="28" maxlength="15" value="<?php echo $password;?>" autocomplete="off" /></td>
					</tr>
					<tr><td colspan=3>&nbsp;</td></tr>
					<tr>
						<td colspan=3 align='center'><input type="image" src="install/images/button_install.png" name="submit" title="Click to start installation!" /></td>
					</tr>		
				</table>
			</td>
			<td></td>
		</tr>
		<tr>
			<td align="left"><img height=16 alt="" src="install/images/logincrnlb.gif" width=16 border=0></td>
			<td></td>
			<td align="right"><img height=16 alt="" src="install/images/logincrnrb.gif" width=16 border=0></td>
		</tr>
		</tbody>
		</table>
    </td>
</tr>
</tbody>
</table>		
</form>

<?php }else { ?>

<table align="center" width="620px" cellspacing=0 cellpadding=2 border=0>
<tbody>
<tr>
    <td class="text" valign=top><?php echo $msg;?></td>
</tr>
</tbody>
</table>

<?php } ?>

</center>
<?php } ?>
</body>
</html>


<?php

// prepare reading of SQL dump file and executing SQL statements
function phpmcms_db_install($sql_dump_file) {
	global $username;
	global $sql_password;
	global $database_prefix;
	global $error_mg;
	
	$sql_array = array();
	$query = "";
	
	// get  sql dump content
	$sql_dump = file($sql_dump_file);		
	
	// replace database prefix if exist
	$sql_dump = str_replace("<DB_PREFIX>", $database_prefix, $sql_dump);
	$sql_dump = str_replace("<USER_NAME>", $username, $sql_dump);
	$sql_dump = str_replace("<PASSWORD>", $sql_password, $sql_dump);

	// utf-8
	$encoding = "utf8";
	$collation = "utf8_unicode_ci";
	$sql_variables = array(
		'character_set_client'  =>$encoding,
		'character_set_server'  =>$encoding,
		'character_set_results' =>$encoding,
		'character_set_database'=>$encoding,
		'character_set_connection'=>$encoding,
		'collation_server'      =>$collation,
		'collation_database'    =>$collation,
		'collation_connection'  =>$collation
	);
	foreach($sql_variables as $var => $value){
		$sql = "SET $var=$value;";
		@mysql_query($sql);
	}        
	
	foreach($sql_dump as $sql_line) {
		$tsl = trim(utf8_decode($sql_line));
		if (($sql_line != "") && (substr($tsl, 0, 2) != "--") && (substr($tsl, 0, 1) != "?") && (substr($tsl, 0, 1) != "#")) {
			$query .= $sql_line;
			if(preg_match("/;\s*$/", $sql_line)) {
				if(!@mysql_query($query)){
					$error_mg[] = mysql_error();
					return false;
				}
				$query = "";
			}
		}
	}
	return true;
}

?>