<?php

// *** Make sure the file isn't accessed directly
if(!preg_match("/index.php/i", $_SERVER['SCRIPT_FILENAME'])){
	//Give out an "access denied" error
	echo "access denied";
	//Block all other code
	exit();
}

// Draw title bar
draw_title_bar(ADMIN_LOGIN, "title_bar", $site_style); 

// Check if user is logged in
if (!@$login->IsLoggedIn()) {	
	if (@$login->IsWrongLogin()) draw_important_message(WRONG_LOGIN);	
?>
	<form action="index.php?page=login" method="post">
		<?php draw_hidden_field("submit_login", "Login"); ?>
        <?php draw_token_field(); ?>
        
		<img src="images/spacer.gif" width="100%" height="10px"><br>
		<table align="<?php echo $text_alignment_left;?>" width="50%">
		<tr>
			<td><?php echo USERNAME;?></td>
			<td><input class="form_text" type="text" name="user_name" size="20" maxlength="15" autocomplete="off" /></td>
		</tr>
		<tr>
			<td><?php echo PASSWORD;?></td>
			<td><input class="form_text" type="password" name="password" size="20" maxlength="15" autocomplete="off" /></td>
		</tr>
		<tr>
			<td colspan="2">
				<input class="form_button" type="submit" name="submit" value="<?php echo BUTTON_LOGIN;?>">&nbsp;
				<a href='index.php?page=forgot_password'><?php echo FORGOT_PASSWORD;?>?</a>
			</td>
		</tr>
		</table>
		<img src="images/spacer.gif" width="100%" height="3px"><br>
	</form>
	<script> document.getElementsByName("user_name")[0].focus(); </script>
<?php 
} else {
	draw_important_message(ALREADY_LOGGED);
?>
	<form action="index.php?page=logout" method="post">        
		<?php draw_hidden_field("submit_logout", "Logout"); ?>
        <?php draw_token_field(); ?>
        
		<input class="form_button" type="submit" name="submit" value="<?php echo BUTTON_LOGOUT;?>">
	</form>
<?php
}
?>