<?php

// *** Make sure the file isn't accessed directly
if(!preg_match("/index.php/i", $_SERVER['SCRIPT_FILENAME'])){
	//Give out an "access denied" error
	echo "access denied";
	//Block all other code
	exit();
}


if (@$login->IsLoggedIn()) {
	
	$button_align = ($objSettings->GetDirection() == "ltr") ? "text-align: right;" : "text-align: left;";

	// draw title bar
	draw_title_bar(PAGE_ADD_NEW, "title_bar", $site_style); 
	echo $msg;
	
?>
	<script type="text/javascript">
		function Language_OnChange(val){
			window.location.href = "index.php?admin=static_pages_add&language_id="+val;
		}
	
		function MenuPlacement_OnChange(val){
			if(val == "top"){
				document.getElementById("menu_id").selectedIndex = 0;
				document.getElementById("menu_id").disabled = "disabled";
			}else{
				document.getElementById("menu_id").disabled = "";
			}
		}
		
		function Cancel(){
			window.location.href = "index.php?admin=static_pages";
		}
	</script>

	<form name='frmStaticPage' method='post'>
		<?php draw_hidden_field("act","add"); ?>
        <?php draw_token_field(); ?>
        
		<table border="0" cellspacing="0" cellpadding="2" class="main_text">
		<tr>
			<td><?php echo LANGUAGE;?> <font color="#c13a3a">*</font>:</td>
			<td>
				<?php
					// display language
					$total_languages = Languages::GetAll(); 
					echo get_languages_box("language_id", $total_languages[0], "abbreviation", "lang_name", $language_id, "", "onchange='Language_OnChange(this.value)'"); 
				?>
			</td>
		</tr>
		<tr>
			<td width="30%"><?php echo PAGE_HEADER;?> <font color="#c13a3a">*</font>:</td>
			<td><input class="form_text" name="page_title" id="frmStaticPage_page_title" value="<?php echo $objStaticPage->GetTitle();?>" size="50"></td>
		</tr>
		<tr>
			<td><?php echo MENU_LINK_TEXT;?>:</td>
			<td><input class="form_text" name="menu_link" value="<?php echo $objStaticPage->GetMenuLink();?>" size="50" maxlength="25"></td>
		</tr>
		<tr>
			<td><?php echo DISPLAY_ON;?>:</td>
			<td><?php echo Menu::DrawMenuPlacementBox($objStaticPage->GetMenuPlacement()); ?></td>
		</tr>
		<tr>
			<td><?php echo ADD_TO_MENU;?>:</td> 
			<td><?php Menu::DrawMenuSelectBox($objStaticPage->GetMenuId(), $objStaticPage->GetMenuPlacement(), $language_id);	?></td>
		</tr>
		<tr>
			<td><?php echo PAGE_TEXT;?>:</td>
			<td style='<?php echo $button_align;?>'>
				<input class="form_button" type="button" name="butCancel" value="<?php echo BUTTON_CANCEL; ?>" onclick="Cancel()">&nbsp;&nbsp;
				<input class="form_button" type="submit" name="subSavePage" value="<?php echo BUTTON_CREATE; ?>">
			</td>
		</tr>
		<tr>
			<td colspan="2">				
				<textarea name="page_text" id="my_page_text" rows="20" cols="75"><?php if ($objStaticPage->GetText() != "") echo htmlspecialchars($objStaticPage->GetText()); ?></textarea>
			</td>
		</tr>
		<tr>
			<td colspan="2"  style='<?php echo $button_align;?>'>
				<input class="form_button" type="button" name="butCancel" value="<?php echo BUTTON_CANCEL; ?>" onclick="Cancel()">&nbsp;&nbsp;
				<input class="form_button" type="submit" name="subSavePage" value="<?php echo BUTTON_CREATE; ?>">
			</td>
		</tr>
		</table>		
	</form>

	<!-- 
		Include the WYSIWYG javascript files
	-->
	<script type="text/javascript" src="wysiwyg/scripts/wysiwyg.js"></script>
	<script type="text/javascript" src="wysiwyg/scripts/wysiwyg-settings.js"></script>
	<!-- 
		Attach the editor on the textareas
	-->
	<script type="text/javascript">
		var mysettings = new WYSIWYG.Settings();

		mysettings.ImagesDir = "wysiwyg/images/";
		mysettings.CSSFile = "wysiwyg/styles/wysiwyg.css";
		mysettings.PopupsDir = "wysiwyg/popups/";
		mysettings.PreviewWidth = "640px";
		mysettings.PreviewHeight = "300px";
		mysettings.Width = "640px";
		mysettings.Height = "300px";
		
		// define the width of the insert image popup
		mysettings.ImagePopupWidth = 420; 
		// define the height of the insert image popup
		mysettings.ImagePopupHeight = 245;

		// Use it to attach the editor to all textareas with full featured setup
		//WYSIWYG.attach('all', full);
		
		// Use it to attach the editor directly to a defined textarea
		WYSIWYG.attach('my_page_text', mysettings); // default setup
		//WYSIWYG.attach('textarea2', full); // full featured setup
		//WYSIWYG.attach('textarea3', small); // small setup
		
		// Use it to display an iframes instead of a textareas
		//WYSIWYG.display('all', full);
		
	</script>
	<script type="text/javascript">
		mcms_SetFocus("frmStaticPage_page_title");
	</script>


<?php
} else draw_important_message(NOT_AUTHORIZED);
?>