<?php

// *** Make sure the file isn't accessed directly
if(!preg_match("/index.php/i", $_SERVER['SCRIPT_FILENAME'])){
	//Give out an "access denied" error
	echo "access denied";
	//Block all other code
	exit();
}


$act 		    = isset($_POST['act']) ? $_POST['act'] : "";
$password_sent 	= isset($_SESSION['password_sent']) ? $_SESSION['password_sent'] : false;
$email 			= isset($_POST['email']) ? $_POST['email'] : "";
$msg 			= "";

if($act == "send"){
    if(!$password_sent){
		$account = new Admins($GLOBALS['user_session']->GetSessionVariable("session_account_id"));
		if($account->SendPassword($email)){
			$msg = draw_success_message(PASSWORD_SUCCESSFULLY_SENT, false);
			$_SESSION['password_sent'] = true;
		}else{
			$msg = draw_important_message($account->error, false);					
		}
	}else{
		$msg = draw_message(PASSWORD_ALREADY_SENT, false);
	}
}


// Draw title bar
draw_title_bar(PASSWORD_FORGOTTEN, "title_bar", $site_style); 

// Check if user is logged in
if (!@$login->IsLoggedIn()) {	
	
?>
		
	<br />
	<?php echo $msg; ?>
	<?php echo PASSWORD_RECOVERY_MSG;?>
	<br />
	<form action="index.php?page=forgot_password" method="post">
		<?php echo draw_hidden_field("act", "send"); ?>
        <?php draw_token_field(); ?>
        
		<img src="images/spacer.gif" width="100%" height="10px"><br>
		<table align="<?php echo $text_alignment_left;?>" width="50%">
		<tr>
			<td><?php echo EMAIL_ADDRESS;?>:</td>
			<td><input class="form_text" type="text" name="email" size="20" maxlength="100" /></td>
		</tr>
		<tr>
			<td colspan="2">
				<input class="form_button" type="submit" name="btnSend" value="<?php echo SEND;?>">
			</td>
		</tr>
		</table>
		<img src="images/spacer.gif" width="100%" height="3px"><br>
	</form>
<?php
} else draw_important_message(NOT_AUTHORIZED);
?>